/* color option */
.clr-blue {
    color: var(--clr-blue);
}
.clr-white {
    color: #ffffff;
}
.clr-black {
    color: var(--clr-black);
}
/* background-color option */
.bg-clr-blue {
    background-color: var(--clr-blue);
}
.bg-clr-white {
    background-color: #ffffff;
}
.bg-clr-black {
    background-color: var(--clr-black);
}
/* border option */
.border-blue {
    border-color: var(--clr-blue);
}
.border-1 {
    border-width: 1px;
    border-style: solid;
}
/* heading tag */
h2 {
    font-size: 5.2rem;
    font-weight: 900;
    margin-top: 0;
}
h2 span.font-ja {
    font-size: 0.6em;
}

.overflow-hidden {
    overflow: hidden;
}
.overflow-auto {
    overflow: auto;
}
.overflow-x-hidden {
    overflow-x: hidden;
}
.overflow-y-hidden {
    overflow-y: hidden;
}
.overflow-x-auto {
    overflow-x: auto;
}
.overflow-y-auto {
    overflow-y: auto;
}
.overflow-auto {
    overflow: auto;
}
.float-left {
    float: left;
}
.float-right {
    float: right;
}
/* display */
.inline-block {
    display: inline-block;
}
.block {
    display:block;
}
.flex {
    display: flex;
}
.flex-wrap {
    flex-wrap: wrap;
}
.justify-between {
    justify-content: space-between;
}

/* container  */

.container {
    padding: 0 22rem;
}
.o-container {
    padding: 0 20rem;
}
.i-container {
    padding: 0 42rem;
}
.h-container {
    width: 100%;
    max-width: 1600px;
    margin: 0 auto;
}
.half-container {
    padding-left: 22rem;
}

.y-center {
    align-items: center;
}
.relative {
    position: relative;
}
.absolute {
    position: absolute;
}
/* margin */
.ml-auto {
    margin-left: auto;
}
.mr-0 {
    margin-right: 0;
}
.mx-auto {
    margin-inline: auto auto;
    width: fit-content;
}

/* font */
.font-ja {
    font-family: var(--font-ja) !important;
}
.font-en {
    font-family: var(--font-en) !important;
}
/* font weight */
.weight-100 {
    font-weight: 100 !important;
}
.weight-200 {
    font-weight: 200 !important;
}
.weight-300 {
    font-weight: 300 !important;
}
.weight-400 {
    font-weight: 400 !important;
}
.weight-500 {
    font-weight: 500 !important;
}
.weight-500 {
    font-weight: 500 !important;
}
.weight-600 {
    font-weight: 600 !important;
}
.weight-700 {
    font-weight: 700 !important;
}
.weight-800 {
    font-weight: 800 !important;
}
.weight-900 {
    font-weight: 900 !important;
}


/* subtitle */
.subtitle {
    font-size: 2rem;
    font-weight:400;
    display: inline-block;
}
.subtitle:after {
    position: absolute;
    content: "";
    left: 120%;
    top: 50%;
    height: 1px;
    width: 10rem;
    background-color: var(--clr-black);
}


/* width */
.w-fit {
    width: fit-content;
}
.w-full {
    width: 100%;
}

/* animation */
@keyframes rotate {
    from {
        transform: rotate(0);
    }
    to {
        transform: rotate(360deg);
    }
}

.href-underline {
    text-decoration: underline;
}
.href-more {
    padding: 0 4rem;
}
.href-more:hover .btn-svg-wrapper {
    background-color: #fff;
}
.href-more [id="firstArr"] {
    transition: 0.3s all ease-in-out;
}
.href-more svg:not([id="firstArr"]) {
    transition: 0.3s all ease-in-out;
}
.href-more:hover [id="firstArr"] {
    transform: translate(0);
}
.href-more:hover svg:not([id="firstArr"]) {
    transform: translate(100%);
    position: absolute;
    left: 100%;
}
.btn-svg-wrapper {
    width: 5rem;
    aspect-ratio: 1 / 1;
    background-color: var(--clr-blue);
    border: 1px solid var(--clr-blue);
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    transition: 0.3s all ease-in-out;

}
.btn-svg-wrapper svg {
    width: 2rem;
    vertical-align: bottom;
}
.btn-svg-wrapper svg[id="firstArr"] {
    transform: translate(-100%);
} 

.btn-more {
    column-gap: 1rem;
}
.btn-more .btn-txt {
    font-size: 2rem;
}
.btn-txt:after {
    content: "";
    position: absolute;
    top: 120%;
    left: 0;
    width: 0;
    height: 1px;
    background-color: var(--clr-black);
    transition: 0.3s all ease-in-out;
}
.href-more:hover .btn-txt:after {
    width: 100%;
}


.href-back {

    padding: 0 4rem;
    margin-top: 10rem;
}
.href-back:hover .btn-svg-wrapper {
    background-color: #fff;
}
.href-back [id="firstArr"] {
    transition: 0.3s all ease-in-out;
}
.href-back svg:not([id="firstArr"]) {
    transition: 0.3s all ease-in-out;
}

.href-back:hover .btn-svg-wrapper svg[id="firstArr"] {
    transform: translate(-190%);
    
}
.btn-svg-wrapper {
    width: 5rem;
    aspect-ratio: 1 / 1;
    background-color: var(--clr-blue);
    border: 1px solid var(--clr-blue);
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    transition: 0.3s all ease-in-out;

}
.btn-svg-wrapper svg {
    width: 2rem;
    vertical-align: bottom;
}
.href-back .btn-svg-wrapper svg[id="firstArr"] {
    transform: translate(0);
    z-index: 2;
} 

.btn-back {
    column-gap: 1rem;
}
.btn-back .btn-txt {
    font-size: 2rem;
}
.btn-txt:after {
    content: "";
    position: absolute;
    top: 120%;
    left: 0;
    width: 0;
    height: 1px;
    background-color: var(--clr-black);
    transition: 0.3s all ease-in-out;
}
.href-back:hover .btn-txt:after {
    width: 100%;
}




.btn-view-all {
    position: relative;
    border: 1px solid var(--clr-blue);
    border-radius: 6rem;
    padding: 2rem 2rem;
    width: 20rem;
    display: inline-block;
    text-align: center;
    font-weight: 700;
    font-size: 1.6rem;
    overflow: hidden;
}
.btn-view-all:hover {
    color: #ffffff;
}
.btn-view-all::before,.btn-view-all::after {
    content: "";
    position: absolute;
    left: 20%;
    top: 50%;
    width: 0.6rem;
    aspect-ratio: 1/1;
    border-radius: 50%;
    transform-origin: center center;
    transition: 0.3s all ease-in-out;
}
.btn-view-all::before {
    background-color: var(--clr-blue);
    z-index: -1;
}
.btn-view-all:hover::before {
    transform: scale(100);
    
}
.btn-view-all::after {
    transform: scale(0);
    background-color: #fff;
}
.btn-view-all:hover::after {
    transform: scale(1);
}
.text-center {
    text-align: center;
}


/* Fullscreen loader styling */
#loader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
    transition: transform 1s ease-out; /* Apply ease-out transition */
}

/* Hide main content initially */
#content {
    display: none;
    opacity: 0;
    transition: opacity 1s ease;
}

/* Video styling */
#loadingVideo {
    max-width: 100%;
    max-height: 100%;
    width: 400px;
}

/* Slide-up effect for loader */
.slide-up {
    transform: translateY(-100%);
}

/* .animate-on-scroll {
    opacity: 0;
    transform: translateY(50px);
  } */



  /* cursor*/
  .pointer {
    position: relative;
    z-index: 99999999999999999999999999999;
  }
.cursor {
  width: 50px;
  height: 50px;
  border-radius: 100%;
  border: 1px solid var(--clr-blue);
  transition: all 200ms ease-out;
  position: fixed;
  pointer-events: none;
  left: 0;
  top: 0;
  transform: translate(calc(-50% + 15px), -50%);
}

.cursor2 {
  width: 20px;
  height: 20px;
  border-radius: 100%;
  background-color: var(--clr-blue);
  opacity: .3;
  position: fixed;
  transform: translate(-50%, -50%);
  pointer-events: none;
  transition: width .3s, height .3s, opacity .3s;
}

.pointer .hover {
  background-color: transparent;
  opacity: 0;
  
}

.cursorinnerhover {
  width: 50px;
  height: 50px;
  opacity: .5;
}

/* end cursor */


.fadeUp .letter {
    display: inline-block;
    opacity: 0;
    transform: translateY(20px);
    font-size: inherit;
}
.pc-hide {
    display: none;
}
.blue-point {
    width: 1.2rem;
    aspect-ratio: 1/1;
    background-color: var(--clr-blue);
    border-radius: 50%;
}
.navigation {
    position: static;
    width: fit-content;
    aspect-ratio: 2 / 1;
    border-bottom-right-radius: 50%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-inline: 3.2rem;
    filter: drop-shadow(6px 0px 5px var(--clr-grey));
    backdrop-filter: blur(3px);
    
    column-gap: 2rem;
}
 .navigation .href-more:first-child {
    transform: scaleX(-1);
}
 .navigation .href-more {
    padding: 0 0rem;
}
.navigation .btn-svg-wrapper {
    width: 6.4rem;
}
.absolute-center {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    margin-bottom: 0;
}
.larger {
    font-size: 2.2em;
    
    font-weight: 900;
}
.largest-number {
    font-size: 3em;
    font-weight: 900;
    font-family: var(--font-en);

}
@media screen and (max-width: 1356px) {
    .half-container {
        padding-left: 10rem;
    }
}
@media screen and (max-width: 1024px) {
    .i-container {
        padding: 0 30rem;
    }
}
@media screen and (max-width: 768px) {
    .container {
        padding: 0 4rem;
    }
    .h-container {
        padding: 0 2rem;
    }
    img[alt="site-logo"] {
        width: 80px;
    }
    .pointer {
        display: none;
    }
    .i-container {
        padding: 0 4rem;
    }
        .half-container {
            padding-left: 4rem;
            padding-right: 4rem;
        }
}
@media screen and (max-width: 426px) {
    .container {
        padding: 0 1.5rem;
    }
    h2 {
        font-size: 24px;
        font-weight: 900;
    }
    .pc-hide {
        display: block;
    }
    .navigation {
        width: fit-content;
        left: unset;
        top: 4rem;
        background-color: transparent;
        padding-inline: 0;
        backdrop-filter: blur(0px);
        flex-direction: column;
        row-gap: 2rem;
        right: 1rem;
    }
    .table-wrapper {
        width: 100%;
        overflow-x: auto;
    }
    .half-container {
        padding: 0 1.5rem;
    }
}

/* contact */

.contact-link {
    background-image: url(../images/contact_link_bg.png);
    background-size: cover;
    position: relative;
    max-width: 94%;
    padding: 16rem 14rem 16rem 22rem;
    color: #fff;
    justify-content: space-between;
    align-items: center;
    border-top-left-radius: 3.2rem;
    z-index: 1;
    
}
.contact-link h4 {
    font-size: 6.4rem;
    margin: 0 0;
}
.contact-link h4 small {
    font-size: 0.4em;
    font-weight: 400;
}
.contact-link:hover {
    opacity: 1;
}
.circle-1 {
    stroke-dasharray: 565;
    animation: 2s draw infinite;
  }
  [alt="next_arrow"] {
    width: 4rem;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    animation: rightMove;
    animation-duration: 2s;
    animation-iteration-count: infinite;
  }
  
  @keyframes rightMove {
    0% {
        left: 50%;
        opacity: 1;
    }
    100% {
        left: 70%;
        opacity: 0;
    }
    
  }
  [alt="contact_logo"] {
    transform: perspective(207px) rotateX(0deg) rotateY(-11deg) translate(-50%, -50%);
    filter: drop-shadow(3px 1px 2px var(--clr-grey));
    position: absolute;
    left: 44%;
    top: 45%;
    width: 65rem;
    z-index: 0;
    opacity: 0.3;
}
  @keyframes draw {
      0% {stroke-dashoffset: 565;}
      100% {stroke-dashoffset: 0;}
  }
  @media screen and (max-width: 768px) {

    .contact-link {
        max-width: unset;
        width: 100%;
        padding: 14rem 8rem;
        border-top-left-radius: 3.2rem;
    }
    .contact-link h4 {
        font-size: 5.6rem;
        margin: 0 0;
    }
  }
  @media screen and (max-width: 426px) {
    [alt="contact_logo"] {
        left: 20%;
        width: 50%;
    }
    .contact-link h4 {
        font-size: 4.3rem;
    }
  }

  /* faq  */

  .faq-lists {
    list-style: none;
    padding: 0;
    max-width: 800px;
    margin: 0 auto;
}

.faq-item {
    background-color: #fff;
    border: 1px solid #ddd;
    margin-bottom: 10px;
    border-radius: 5px;
    overflow: hidden;
    font-size: 1.8rem;
}

.faq-question {
    padding: 18px;
    display: flex;
    justify-content: space-between;
    cursor: pointer;
    background-color: #f8f8f8;
    transition: background-color 0.3s ease;
}

.faq-question:hover {
    background-color: #eaeaea;
}

.faq-answer {
    padding: 15px;
    display: none;
    border-top: 1px solid #ddd;
}

.icon {
    font-weight: bold;
    transition: transform 0.3s ease;
}

.faq-item.active .faq-answer {
    display: block;
}

.faq-item.active .icon {
    transform: rotate(45deg);
}
.common-transition {
    transition: all 0.3s ease-in-out;
}



.sec-rec-cont {
    display: flex;
    flex-wrap: wrap;
    aspect-ratio: 3.6/1;
    padding: 0 0 !important;
}
.rec-wrapper {
    width: 50%;
    height: 100%;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    color: #fff;
    
    display: inline-block;
    padding: 8rem 0;
}
.rec-wrapper h3 {
    position: relative;
    font-size: 3rem !important;
    text-align: center!important;
    margin-bottom: 5rem;
}
.rec-wrapper h3 span.font-ja{
    font-size: inherit !important;
    font-weight: inherit !important;
}
.rec-wrapper h3 + p {
    text-align: center;
    font-size: 1.8rem !important;
    line-height: 2;
}
.rec-wrapper .href-more {
    color: #fff !important;
}
.rec-wrapper .btn-txt:after {
    background-color: #fff !important;
}
.rec-wrapper h3 span.font-en {
    font-size: 1.8em !important;
}
.rec-wrapper h3:after {
    content: "";
    position: absolute;
    width: 1rem;
    height: 1rem;
    background-image: url("../images/icon-plus-white.svg");
}
.sec-rec-cont .rec-wrapper:first-child {
    background-image: linear-gradient(#0000007a, #0000003d), url("../images/company/company.jpg");
}
.sec-rec-cont .rec-wrapper:nth-child(2){
    background-image: linear-gradient(#0000007a, #0000003d), url("../images/contact/contact.jpeg");
}
@media screen and (max-width: 768px) {
    

    .rec-wrapper {
        width: 100%;
        height: unset;
        background-position: center;
        background-size: cover;
        background-repeat: no-repeat;
        color: #fff;
        /* display: flex; */
        display: inline-block;
        padding: 8rem 0;
        aspect-ratio: 3 / 1;
    }
}